=== engine/Engine/Makefile ===
#
# Enterprise Volume Manager System - User Interface Engine
#
# target -> libevms.so ... the engine api framework
#

include ../make.rules

NAME	= evms

MAJOR_VERSION   = 1
MINOR_VERSION   = 0
PATCH_LEVEL     = 0
EXTRAVERSION    =

TARGET	= lib$(NAME)-$(VERSION).so
SONAME	= lib$(NAME).so.$(MAJOR_VERSION)
ARNAME	= lib$(NAME).a
LIBNAME	= lib$(NAME).so
SRCS	:= $(shell ls *.c)
OBJS	:= $(shell ls *.c | sed s/\\.c/\\.o/)

all: .depend $(TARGET)

install: all
	../mkinstalldirs.sh $(DESTDIR)$(EVMSLIB_DIR)
	$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(EVMSLIB_DIR)
	$(INSTALL) -m 644 $(ARNAME) $(DESTDIR)$(EVMSLIB_DIR)
	rm -f $(DESTDIR)$(EVMSLIB_DIR)/$(LIBNAME)
	ln -s $(TARGET) $(DESTDIR)$(EVMSLIB_DIR)/$(LIBNAME)

uninstall:
	rm -f $(DESTDIR)$(EVMSLIB_DIR)/$(LIBNAME)
	rm -f $(DESTDIR)$(EVMSLIB_DIR)/$(ARNAME)
	rm -f $(DESTDIR)$(EVMSLIB_DIR)/$(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(SO_CFLAGS) -Wl,-soname,$(SONAME) -o $(TARGET) $(OBJS)
	ar rcs $(ARNAME) $(OBJS)
	ln -sf $(TARGET) $(LIBNAME)

clean:
	rm -f .depend *.o *.so *.a $(TARGET)

distclean: clean

.depend:
	$(CPP) -M $(EVMSCFLAGS) *.c > .depend

dep: .depend

# grab our dep file
ifeq (.depend,$(wildcard .depend))
include .depend
endif
