=== engine/include/Makefile ===
# EVMS Engine Header Files

include ../make.rules

TARGETS:=$(shell ls *.h)

all: $(TARGETS)

install: all
	../mkinstalldirs.sh $(DESTDIR)$(EVMSHEADERS_DIR)
	@for f in $(TARGETS); do \
		echo "$(INSTALL) -m 644 $$f $(DESTDIR)$(EVMSHEADERS_DIR)"; \
		$(INSTALL) -m 644 $$f $(DESTDIR)$(EVMSHEADERS_DIR); \
	done

uninstall:
	@for f in $(TARGETS); do \
		echo "rm -f $(DESTDIR)$(EVMSHEADERS_DIR)/$$f"; \
		rm -f $(DESTDIR)$(EVMSHEADERS_DIR)/$$f; \
	done
	rmdir --ignore-fail-on-non-empty $(DESTDIR)$(EVMSHEADERS_DIR)

$(TARGET):

clean:

distclean: clean

.depend:

dep: .depend

# grab our dep file
ifeq (.depend,$(wildcard .depend))
include .depend
endif
