=== engine/man/Makefile ===
# EVMS Engine Man Pages

include ../make.rules

TARGETS:=$(shell ls *.8)

all: $(TARGETS)

install: all
	../mkinstalldirs.sh $(DESTDIR)$(mandir)/man8
	@for f in $(TARGETS); do \
		echo "$(INSTALL) -m 644 $$f $(DESTDIR)$(mandir)/man8"; \
		$(INSTALL) -m 644 $$f $(DESTDIR)$(mandir)/man8; \
	done

uninstall:
	@for f in $(TARGETS); do \
		echo "rm -f $(DESTDIR)$(mandir)/man8/$$f"; \
		rm -f $(DESTDIR)$(mandir)/man8/$$f; \
	done
	rmdir --ignore-fail-on-non-empty $(DESTDIR)$(mandir)/man8

$(TARGET):

clean:

distclean: clean

.depend:

dep: .depend

# grab our dep file
ifeq (.depend,$(wildcard .depend))
include .depend
endif
