=== engine/Plugins/mdregmgr/Makefile ===
#
# Enterprise Volume Manager System
# 
# The EVMS MD Region Manager Plugin
#

include ../../make.rules

NAME	= mdregmgr

MAJOR_VERSION	= 0
MINOR_VERSION	= 1
PATCH_LEVEL	= 0
EXTRAVERSION	=

TARGET	= lib$(NAME)-$(VERSION).so
SONAME	= lib$(NAME).so.$(MAJOR_VERSION)
SRCS	:= $(shell ls *.c)
OBJS	:= $(shell ls *.c | sed s/\\.c/\\.o/)

all: .depend $(TARGET)

install: all
	../../mkinstalldirs.sh $(DESTDIR)$(PLUGINS_DIR)
	$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(PLUGINS_DIR)

uninstall:
	rm -f $(DESTDIR)$(PLUGINS_DIR)/$(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(SO_CFLAGS) -Wl,-soname,$(SONAME) -o $(TARGET) $(OBJS)

clean:
	rm -f .depend *.o *.so $(TARGET)

distclean: clean

.depend:
	$(CPP) -M $(EVMSCFLAGS) *.c > .depend

dep: .depend

# grab our dep file
ifeq (.depend,$(wildcard .depend))
include .depend
endif
