## evms 2.5.5

=== tests/mpdev/Makefile ===
srcdir = .
top_srcdir = ..
include ../../make.rules

all: .depend mp

mp: % : %.o
	$(CC) -o $@ $@.o

install: all

uninstall:

clean:
	rm -f .depend $(OBJECTS) mp

distclean: clean

ifeq (.depend, $(wildcard .depend))
include .depend
endif
