## evms 2.5.5-18ubuntu4

=== debian/changelog ===
evms (2.5.5-18ubuntu4) feisty; urgency=low

  * Install evms udev rules into the initramfs.  LP: #74317.
  * Rename evms udev rules to 85-evms.rules 

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 10 Apr 2007 09:19:02 +0100

evms (2.5.5-18ubuntu3) feisty; urgency=low

  * Rename 70-evms.rules to 80-evms.rules, and react to block device changes
    as well as additions.  LP: #102232, #102350.
  * Update initramfs when evms is removed/purged.

 -- Scott James Remnant <scott@ubuntu.com>  Tue,  3 Apr 2007 16:32:40 +0100

evms (2.5.5-18ubuntu2) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:15:42 +0000

evms (2.5.5-18ubuntu1) feisty; urgency=low

  Implementation of UdevEvms:
  * Provide udev rules to run evms_activate as appropriate via watershed.
    Functionality depends on other parts of the feisty udev/evms/hal etc.
    setup to actually work well.

 -- Ian Jackson <iwj@ubuntu.com>  Fri,  8 Dec 2006 18:06:25 +0000

evms (2.5.5-18) unstable; urgency=low

  * Apply patches from upstream:
    * cli_query_segfault.patch, fixes a segfault in the CLI when doing a
      query.
    * cli_reload_options.patch, reloads the right option descriptors after
      a change.
    * ntfs_unmkfs.patch, fixes a bug in the wiping of NTFS file systems.
    * raid5_remove_spare_fix.patch + raid5_remove_spare_fix_2.patch, lets the
      user remove a spare if resync does not run.
    * raid5_algorithm.patch, makes EVMS heed the parity algorithm the user
      selects when creating a RAID-5 array.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 14 Sep 2006 19:32:30 +0200

evms (2.5.5-17) unstable; urgency=medium

  * Revert the GTK+ 2.0 patch; it's too buggy, there's no upstream support
    (and upstream doesn't look like they'll pull it in anytime soon, even
    after nagging) and it doesn't really buy us much except looks anyhow.
    We don't really have the resources to maintain this patch externally from
    upstream, so it's better just to remove it.
    (Closes: #385706, #386598, #385708, #385710, #386096)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri,  8 Sep 2006 23:36:50 +0200

evms (2.5.5-16) unstable; urgency=low

  * In the GTK+ interface, make sure all callbacks are of type gboolean and
    return FALSE to avoid trapping the events. (Closes: #385705)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat,  2 Sep 2006 15:54:35 +0200

evms (2.5.5-15) unstable; urgency=low

  * Move the init script priority from 27 to 25, so we are consistently ahead
    of mdadm (not before in the initramfs and after in the normal boot order).
    This will hopefully make evms and mdadm work a little more happily
    together, although more work still remains.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 21 Aug 2006 15:36:27 +0200

evms (2.5.5-14) unstable; urgency=low

  * Stop including asm/page.h, and instead use sysconf() to get PAGE_SIZE 
    to fix the build failures on ia64 and powerpc; patch from Ubuntu by
    Adam Conrad.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 21 Aug 2006 10:57:09 +0200

evms (2.5.5-13) unstable; urgency=low

  * Apply fix for implicit pointer conversions; fixes possible crashes on
    64-bit platforms, patch from Dann Frazier. (Closes: #381391)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue,  8 Aug 2006 21:17:46 +0200

evms (2.5.5-12) unstable; urgency=low

  * In evms-bootdebug, make sure we have a halfway reasonable /etc/mtab (copy
    /proc/mounts if there is none); resize2fs barfs if it can't find one, and
    we really want resize functionality in there, as you can't easily convert
    a compatibility volume to an EVMS volume otherwise.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon,  7 Aug 2006 01:56:15 +0200

evms (2.5.5-11) unstable; urgency=low

  * Full sync with Ubuntu.
    * Pull in LSB patch for init script; depend on lsb-base. (Closes: #340319)
    * Merge GTK+ 2.x patch for evms-cli; thanks to Matt Zimmermann for the
      final bits.
      * ui/gtk/*: Merge patches directly.
      * Change the check for GTK 1.2 in configure.ac to a check for GTK 2.x.
      * Append the contents of /usr/share/aclocal/gtk-2.0.m4 to aclocal.m4
        (to get the right autoconf macro), and rerun autoconf.
      * Build-depend on libgtk2.0-dev instead of libgtk1.2-dev.
      * Patch make.rules.in to use @GTK_CFLAGS@ instead of @GTK_CPPFLAGS@;
        they're not the same, but for our use the latter will do.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 30 Jul 2006 21:09:37 +0200

evms (2.5.5-10) unstable; urgency=low

  * Adjust the long dependency of linux-patch-evms.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 16 Jul 2006 18:27:01 +0200

evms (2.5.5-9) unstable; urgency=low

  * Rename kernel-patch-evms to linux-patch-evms, adding a
    replaces/conflicts/provides on the old name to ensure a smooth transition.
    (Closes: #364457)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 14 Jul 2006 00:22:26 +0200

evms (2.5.5-8) unstable; urgency=low

  * First round of syncing against Ubuntu:
    * Add a prereq from evms' initramfs script to udev, to make sure the
      appropriate devices are there when evms_activate runs.
    * Drop the version from evms-bootdebug's dependency on initramfs-tools;
      it's not needed, and causes problems for Ubuntu since they have a lower
      version number on initramfs-tools than Debian ATM.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 25 Jun 2006 01:06:24 +0200

evms (2.5.5-7) unstable; urgency=low

  * In evms-bootdebug's initramfs hook, include the termcaps for vt100 and
    vt220, not just for the Linux terminal. This should make it easier to run
    evms-bootdebug over a serial console (although the user still has to set
    $TERM manually).

 -- Steinar H. Gunderson <sesse@debian.org>  Sun,  4 Jun 2006 23:26:35 +0200

evms (2.5.5-6) unstable; urgency=low


