=== debian/control ===
Source: evms
Section: admin
Priority: extra
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Steinar H. Gunderson <sesse@debian.org>
Build-Depends: debhelper (>> 5.0.0), libgtk1.2-dev, libncurses5-dev | libncurses-dev, libreadline5-dev | libreadline-dev, uuid-dev, heartbeat-dev (>= 1.0.2-1), libglib1.2-dev, libdevmapper-dev
Build-Depends-Indep: dh-kpatches (>= 0.99.22)
Standards-Version: 3.6.2.0

Package: evms
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 1.3-9ubuntu2)
Recommends: evms-gui | evms-ncurses, evms-cli
Suggests: linux-patch-evms, evms-ha
Enhances: initrd-tools, initramfs-tools, devfsd
Replaces: initramfs-tools (<= 0.50)
Description: Enterprise Volume Management System (core)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 In order to make full use of it, you must use a kernel which
 includes the EVMS patch, available in the linux-patch-evms package.
 .
 This package contains core infrastructure for EVMS, and the utilities
 evms_rediscover, evms_devnode_fixup, evms_info_level, evms_metadata_backup
 and evms_metadata_restore.

Package: evms-cli
Architecture: any
Depends: evms, ${shlibs:Depends}
Description: Enterprise Volume Management System (CLI)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 In order to make use of it, you must use a kernel which
 includes the EVMS patch, available in the linux-patch-evms package.
 .
 This package contains a command-line interface used to manage EVMS
 volumes.

Package: evms-ncurses
Architecture: any
Depends: evms, ${shlibs:Depends}
Description: Enterprise Volume Management System (ncurses UI)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 In order to make full use of it, you must use a kernel which
 includes the EVMS patch, available in the linux-patch-evms package.
 .
 This package contains an ncurses-based user interface used to manage
 EVMS volumes.

Package: evms-gui
Architecture: any
Depends: evms, ${shlibs:Depends}
Description: Enterprise Volume Management System (GUI)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 In order to make full use of it, you must use a kernel which
 includes the EVMS patch, available in the linux-patch-evms package.
 .
 This package contains a graphical user interface used to manage EVMS
 volumes.

Package: evms-ha
Architecture: any
Depends: evms, evms-cli, ${shlibs:Depends}
Replaces: libevms-2.1 (<< 2.1.1-1), libevms-2.3 (= 2.3.2-1)
Conflicts: libevms-2.3 (= 2.3.2-1)
Description: Enterprise Volume Management System (high-availability)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 In order to make full use of it, you must use a kernel which includes the EVMS
 patch, available in the linux-patch-evms package.
 .
 This package contains a plugin for the EVMS engine which provides
 high-availability features using heartbeat.

Package: libevms-2.5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libevms0, libevms-2.0, libevms-2.1, libevms-2.2 (= 2.3.0-1)
Recommends: jfsutils (>= 1.0.9), reiserfsprogs, xfsprogs, ${plugins:Depends}
Description: Enterprise Volume Management System (library)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 This package contains the shared library libevms, which is used by
 the user-space tools.

Package: libevms-dev
Section: libdevel
Architecture: any
Depends: evms, libevms-2.5 (= ${Source-Version})
Description: Enterprise Volume Management System (development)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 This package contains the development environment for the library
 libevms.

Package: linux-patch-evms
Architecture: all
Depends: ${kpatch:Depends}
Suggests: kernel-source-2.6, evms
Replaces: kernel-patch-evms
Conflicts: kernel-patch-evms
Provides: kernel-patch-evms
Description: Enterprise Volume Management System (kernel patches)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 This package contains patches to the Linux kernel which implement the
 kernel-space portion of EVMS. It is not needed with recent kernels,
 unless you want a few very specific features (like bad block relocation).

Package: evms-bootdebug
Architecture: all
Depends: evms-cli, evms-ncurses, initramfs-tools
Description: Enterprise Volume Management System (boot-time debugger)
 The EVMS project provides unparalleled flexibility and extensibility
 in managing storage. This project represents a new approach to
 logical volume management. The architecture introduces a plug-in
 model that allows for easy expansion or customization of various
 levels of volume management.
 .
 This package contains tools to make an boot-time rescue/debug image
 for your system, easing operations against your root volume. Please
 see /usr/share/doc/evms-bootdebug/README.Debian for more information.
