=== debian/watch ===
http://download.sourceforge.net		/evms	evms-(.*)\.tar\.gz	debian
